Eclipse Platform Release 3.7

## org.eclipse.core.databinding.property.list
Class DelegatingListProperty

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.core.databinding.property.list.DelegatingListProperty

All Implemented Interfaces:
  IProperty, IListProperty

    public abstract class DelegatingListProperty

extends ListProperty

Since:
  1.2

Constructor Summary
`protected` `DelegatingListProperty()`
`protected` `DelegatingListProperty(Object elementType)`

Method Summary
`protected abstract IListProperty` `doGetDelegate(Object source)` Returns the property to delegate to for the specified source object.
`protected List` `doGetList(Object source)` Returns a List with the current contents of the source's list property
`protected void` `doSetList(Object source, List list)` Updates the property on the source with the specified change.
`protected void` `doUpdateList(Object source, ListDiff diff)` Updates the property on the source with the specified change
`IListProperty` `getDelegate(Object source)` Returns the property to delegate to for the specified source object.
`Object` `getElementType()` Returns the type of the elements in the collection or `null` if untyped
`IObservableList` `observe(Object source)` Returns an observable list observing this list property on the given property source
`IObservableList` `observe(Realm realm, Object source)` Returns an observable list observing this list property on the given property source

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`getList, listFactory, listFactory, observeDetail, setList, updateList, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingListProperty

    protected DelegatingListProperty()

### DelegatingListProperty

    protected DelegatingListProperty(Object elementType)

Method Detail

### getDelegate

    public final IListProperty getDelegate(Object source)

  Returns the property to delegate to for the specified source object. Repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source (may be null)
  Returns:
    the property to delegate to for the specified source object.

### doGetDelegate

    protected abstract IListProperty doGetDelegate(Object source)

  Returns the property to delegate to for the specified source object. Implementers must ensure that repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source
  Returns:
    the property to delegate to for the specified source object.

### getElementType

    public Object getElementType()

  Description copied from interface: `IListProperty`
  Returns the type of the elements in the collection or `null` if untyped

  Returns:
    the type of the elements in the collection or `null` if untyped

### doGetList

    protected List doGetList(Object source)

  Description copied from class: `ListProperty`
  Returns a List with the current contents of the source's list property

  Overrides:
    `doGetList` in class `ListProperty`
  Parameters:
    `source` - the property source
  Returns:
    a List with the current contents of the source's list property

### doSetList

    protected void doSetList(Object source,
                             List list)

  Description copied from class: `ListProperty`
  Updates the property on the source with the specified change.

  Overrides:
    `doSetList` in class `ListProperty`
  Parameters:
    `source` - the property source
    `list` - the new list

### doUpdateList

    protected void doUpdateList(Object source,
                                ListDiff diff)

  Description copied from class: `ListProperty`
  Updates the property on the source with the specified change

  Overrides:
    `doUpdateList` in class `ListProperty`
  Parameters:
    `source` - the property source
    `diff` - a diff describing the change

### observe

    public IObservableList observe(Object source)

  Description copied from interface: `IListProperty`
  Returns an observable list observing this list property on the given property source

  Specified by:
    `observe` in interface `IListProperty`
  Overrides:
    `observe` in class `ListProperty`
  Parameters:
    `source` - the property source
  Returns:
    an observable list observing this list property on the given property source

### observe

    public IObservableList observe(Realm realm,
                                   Object source)

  Description copied from interface: `IListProperty`
  Returns an observable list observing this list property on the given property source

  Parameters:
    `realm` - the observable's realm
    `source` - the property source
  Returns:
    an observable list observing this list property on the given property source

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.